使用vux 报_vm.$t is not a function 错误。还说vux-loader 不是最新版本!

图片描述

.Vue文件

<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    <h2>Essential Links</h2>

    <h2>Ecosystem</h2>
    <group>
      <cell title="ooo">1111222111222111</cell>
    </group>
    
  </div>
</template>

<script>
  import { Group, Cell } from 'vux'
  export default {
    components: {
      Group,
      Cell
    },
    name: 'HelloWorld',
    data () {
      return {
        msg: 'Welcome to Your Vue.js App'
      }
    }
  }
</script>

main.js文件

/* eslint-disable */
import Vue from 'vue'
import App from './App'
import router from './router'
import vuei18n from 'vue-i18n' 
// import vux from 'vux' 

Vue.config.productionTip = false

/* eslint-disable no-new */
// Vue.use(vux)
Vue.use(vuei18n)

new Vue({
  el: '#app',
  router,
  template: '<App/>',
  components: { App }
})

回答:

哥,你发完 issue 再来这里发。文档已经写得很清楚了,你首次使用建议你用 vux2 模板初始化,你非要自己折腾也得参照文档配置 webpack 配置吧?

回答:

更新依赖cnpm install vux-loader

暂无评论

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注